https://www.docusign.com/v2.1/accounts/{accountId}/usersAdds new users to an account. The body of this request is an array of `newUsers` objects. For each new user, you must provide at least the `userName` and `email` properties. The maximum number of users you can create in one request is 500 users. The `userSettings` property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the `locale` is set to `fr`. ``` POST /restapi/v2.1/accounts/{accountId}/users Content-Type: application/json ``` ``` { "newUsers": [ { "userName": "Claire Horace", "email": "claire@example.com" }, { "userName": "Tal Mason", "email": "talmason@example.com", "company": "TeleSel", "userSettings": { "locale": "fr", "canSendEnvelope": true } } ] } ``` A successful response is a `newUsers` array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an `errorDetails` property that describes what went wrong. ```json { "newUsers": [ { "userId": "18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "uri": "/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "email": "claire@example.com", "userName": "Claire Horace", "createdDateTime": "0001-01-01T08:00:00.0000000Z", "errorDetails": { "errorCode": "USER_ALREADY_EXISTS_IN_ACCOUNT", "message": "Username and email combination already exists for this account." } }, { "userId": "be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "uri": "/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "email": "talmason@example.com", "userName": "Tal Mason", "userStatus": "ActivationSent", "createdDateTime": "2020-05-26T23:25:30.7330000Z" } ] } ```
The external account number (int) or account ID GUID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/usersAdds new users to an account. The body of this request is an array of `newUsers` objects. For each new user, you must provide at least the `userName` and `email` properties. The maximum number of users you can create in one request is 500 users. The `userSettings` property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the `locale` is set to `fr`. ``` POST /restapi/v2.1/accounts/{accountId}/users Content-Type: application/json ``` ``` { "newUsers": [ { "userName": "Claire Horace", "email": "claire@example.com" }, { "userName": "Tal Mason", "email": "talmason@example.com", "company": "TeleSel", "userSettings": { "locale": "fr", "canSendEnvelope": true } } ] } ``` A successful response is a `newUsers` array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an `errorDetails` property that describes what went wrong. ```json { "newUsers": [ { "userId": "18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "uri": "/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade", "email": "claire@example.com", "userName": "Claire Horace", "createdDateTime": "0001-01-01T08:00:00.0000000Z", "errorDetails": { "errorCode": "USER_ALREADY_EXISTS_IN_ACCOUNT", "message": "Username and email combination already exists for this account." } }, { "userId": "be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "uri": "/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33", "email": "talmason@example.com", "userName": "Tal Mason", "userStatus": "ActivationSent", "createdDateTime": "2020-05-26T23:25:30.7330000Z" } ] } ```
The external account number (int) or account ID GUID.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}